> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Clusters

> List non-terminated clusters.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/admin/clusters
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/admin/clusters:
    get:
      tags:
        - admin-clusters
      summary: List Clusters
      description: List non-terminated clusters.
      operationId: list_clusters_api_admin_clusters_get
      parameters:
        - name: vaultEnabled
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: >-
              If true, return only vault-enabled clusters; if false, only
              non-vault-enabled. Omit to include both.
            title: Vaultenabled
          description: >-
            If true, return only vault-enabled clusters; if false, only
            non-vault-enabled. Omit to include both.
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Case-insensitive substring match against cluster name or id.
            title: Search
          description: Case-insensitive substring match against cluster name or id.
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Number of items to skip.
            default: 0
            title: Offset
          description: Number of items to skip.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Max items to return (1-100).
            default: 20
            title: Limit
          description: Max items to return (1-100).
        - name: detailed
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              If true, populate `nodes` for each cluster (one entry per pod).
              Otherwise only the `controller` connection is returned.
            default: false
            title: Detailed
          description: >-
            If true, populate `nodes` for each cluster (one entry per pod).
            Otherwise only the `controller` connection is returned.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GenericPaginationResponse_list_AdminClusterSummary__
        '401':
          description: Authorization failed
        '403':
          description: Insufficient permissions
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    GenericPaginationResponse_list_AdminClusterSummary__:
      properties:
        total_count:
          type: integer
          title: Total Count
          description: Total number of items available in the dataset
          default: 0
        offset:
          type: integer
          minimum: 0
          title: Offset
          description: Number of items to skip before starting to collect the result set
          default: 0
        limit:
          type: integer
          minimum: 0
          title: Limit
          description: Maximum number of items to return
          default: 100
        data:
          items:
            $ref: '#/components/schemas/AdminClusterSummary'
          type: array
          title: Data
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Response status
      type: object
      required:
        - data
      title: GenericPaginationResponse[list[AdminClusterSummary]]
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    AdminClusterSummary:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        providerType:
          type: string
          title: Providertype
        status:
          type: string
          title: Status
        vaultEnabled:
          type: boolean
          title: Vaultenabled
        teamId:
          anyOf:
            - type: string
            - type: 'null'
          title: Teamid
        userId:
          anyOf:
            - type: string
            - type: 'null'
          title: Userid
        createdAt:
          type: string
          format: date-time
          title: Createdat
        controller:
          anyOf:
            - $ref: '#/components/schemas/ClusterNodeConnection'
            - type: 'null'
          description: >-
            Control-node connection details (always populated when a control
            node exists).
        nodes:
          anyOf:
            - items:
                $ref: '#/components/schemas/ClusterNodeConnection'
              type: array
            - type: 'null'
          title: Nodes
          description: All node connection details. Only populated when ?detailed=true.
      type: object
      required:
        - id
        - name
        - providerType
        - status
        - vaultEnabled
        - createdAt
      title: AdminClusterSummary
      description: Lightweight cluster summary returned by the admin list endpoint.
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
    ClusterNodeConnection:
      properties:
        podId:
          type: string
          title: Podid
        podName:
          anyOf:
            - type: string
            - type: 'null'
          title: Podname
        host:
          type: string
          title: Host
        port:
          type: integer
          title: Port
          default: 22
        user:
          type: string
          title: User
        role:
          anyOf:
            - type: string
            - type: 'null'
          title: Role
        isControlNode:
          type: boolean
          title: Iscontrolnode
          default: false
      type: object
      required:
        - podId
        - host
        - user
      title: ClusterNodeConnection
      description: Connection details for a single cluster pod/node.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````